Subject: bug#57630: [PATCH] emms.el: Maintain original player list order when selecting a player

From: Yoni Rabkin <[email-masked]>
Date: Tue, 06 Sep 2022 17:43:38 -0400

Lars Ingebrigtsen <[email-masked]> writes:

> Morgan Smith <[email-masked]> writes:
>
>> I'm not sure where to send emms patches so I guess I'll send them here.
>>
>> I struggled for quite a while to figure out why emms was using the
>> second player in my config instead of the first.  This fixes that issue.
>
> The maintainer of emms is Yoni Rabkin; now added to the CCs.

Addressed in the Savannah git repo and will appear in the next
release. This issue can be closed.

The way to select a player is via the preferences system in
emms.el. However, I see no reason not to flip the order in which the
players are collected if that is of use to someone.

I went ahead and made that change, but using a different method.

-- 
   "Cut your own wood and it will warm you twice"